{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Demande de confirmation d'un contrat
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}


{% block main %}
<script>
    // function checkRef() {
    //     // const ref = document.querySelector('#offer_ref').value.trim()
    //     // let res = await fetch(`/api/offre/${ref}/exists`, {
    //     //     method: 'GET'
    //     // })
    //     // res = await res.json()

    //     // document.querySelector('#error-siret').innerText = ''
    //     // if (res.code == 0) {
    //     //     document.querySelector('#error-siret').innerText =
    //     //         `La référence de l'offre n'existe pas dans la base de données.`
    //     //     return
    //     // }


    //     // console.log('res', res)
    //     let res = document.querySelector('#history').value.trim()
    //     const offre = res.offre
    //     const company = res.company
    //     const responsable = res.company.responsable

    //     document.querySelector('[name="missions"]').value = offre.id



    //     closeLayers()
    // }

    function selectedOffer(listeOffres) {
        let selectedValue = document.querySelector('#history').value;
        console.Log(listeOffres);
        document.querySelector('#selected-value').textContent = selectedValue;
    }

    function checkDays() {
        const oneDay = 24 * 60 * 60 * 1000
        const firstDate = new Date(document.querySelector('[name="start-at"]').value)
        const secondDate = new Date(document.querySelector('[name="end-at"]').value)

        const diffDays = Math.round(Math.abs((firstDate - secondDate) / oneDay))

        console.log('diffDays', diffDays)

        document.querySelector('[name="duration"]').value = Math.ceil(diffDays / 7)
    }
</script>



<form method="POST" class="shadow rounded px-4 py-3"
    onsubmit="return confirm(`Êtes-vous sûr de vouloir {% if mission_request %}modifier{% else %}faire{% endif %} la demande de mission ?`)">
    <h1 class="text-2xl font-semibold text-center mb-4">{% if mission_request %}
        Modifier ma {% else %} Faire une {% endif %} demande de confirmation d'un contrat</h1>
    <p class="text-center italic my-4 text-sm">*Votre demande sera soumise à validation par un
        responsable. Une fois elle est acceptée, vous recevrez une notification.</p>
    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Type de contrat <span title="Obligatoire">
                *</span></label>
        <select type="text" required disabled
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
            <option value="1" {% if offre.offre_type_id == 1 %}selected{% endif %}>Stage</option>
            <option value="2" {% if offre.offre_type_id == 2 %}selected{% endif %}>Apprentissage</option>
        </select>
        <input type="hidden" name="offre_type" value="{{ am_i_stagiaire() }}" />
    </div>
    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Mission <span title="Obligatoire">
            <span id="selected-value"></span>
                *</span></label>
                <input type="hidden" required {% if mission_request %}value="{{ mission_request.missions_id }}"{% elif offre %}value="{{ offre.id }}"{% endif %} name="missions"
                type="float" step="1" class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        {{offre.description}}
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %}</label>
        <select name="idMaitreApprentiStage" id="idMaitreApprentiStage" required
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
            {% for maitre in get_maitreApprentissage_list() %}
            <option value="{{maitre.id}}" {% if mission_request %}{% if mission_request.idMaitreApprentiStage == maitre.id %}selected{% endif %}{% endif %}>
                {{maitre.last_name}} {{maitre.first_name}}
            </option>
            {% endfor %}
        </select>
    </div>
    {% if error_offre %}
    <p class="error">
        {{ error_offre }}
    </p>
    {% endif %}

    <button type="button" class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500
        focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit mx-auto mt-5"
        data-layer-selector="#add-company-layer" onclick="toggleLayer(this)">
            Maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %} non trouvé ?
    </button>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Date de début <span title="Obligatoire"> *</span></label>
        <input required {% if mission_request %}value="{{ mission_request.start_at }}" {% endif %} value=""
            onchange="checkDays()" type="date" name="start-at" id="start-at"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>
    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Date de fin <span title="Obligatoire"> *</span></label>
        <input required {% if mission_request %}value="{{ mission_request.end_at }}" {% endif %} onchange="checkDays()"
            type="date" name="end-at" id="end-at"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Durée du contrat (semaines) <span title="Obligatoire">
                *</span></label>
        <input required {% if mission_request %}value="{{ mission_request.weeks_number }}" {% endif %} name="duration"
            readonly type="number" step="1" placeholder="Écrivez la durée en semaine du stage ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>
    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Montant de salaire par heure (en €)<span title="Obligatoire">
                *</span></label>
        <input required {% if mission_request %}value="{{ mission_request.salary }}" {% endif %} name="salary"
             type="float" step="1" placeholder="Écrivez le montant de salaire par heure ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Entreprise associée <span title="Obligatoire">
                *</span></label>
        <select name="company" id="company" required
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
            {% for company in get_company_list() %}
                <option value="{{company.id}}" {% if company.id == offre.company_id %} selected {% endif %}>{{company.name}}</option>
            {% endfor %}
        </select>
    </div>


    {% if error %}
    <p class="error">
        {{ error }}
    </p>
    {% endif %}
    <button type="submit"
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">{% if mission_request %}
        Modifier {% else %} Faire {% endif %} la demande</button>

</form>

<form id="add-company-layer" method="POST" action="{{ url_for('add_new_responsable', id=offre.id) }}"
    class="layer fullscreen-layer hidden max-w-5xl flex bg-white rounded p-6 overflow-y-auto flex-col w-full z-20 fixed max-h-[90%] m-auto top-0 left-0 right-0 bottom-0 shadow">
    <h2 class="text-2xl font-semibold text-center mb-4">Ajouter un maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %}</h2>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Nom du maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %}</label>
        <input type="text" name="company_resp_lname" required placeholder="Écrivez le nom du responsable ici"
            onkeyup="this.value = this.value.toUpperCase();"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Prénom du maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %}</label>
        <input type="text" name="company_resp_fname" required placeholder="Écrivez le prénom du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>




    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Email du maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %}</label>
        <input type="email" name="company_resp_mail" required placeholder="Écrivez l'email du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Numéro de téléphone du maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %}</label>
        <input type="tel" name="company_resp_num_phone" required
            placeholder="Écrivez le numéro de téléphone du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>

    <input type="hidden" required value="{{ offre.company_id }}" name="company_resp_idCompany"
                type="float" step="1" placeholder="Écrivez le montant de salaire par heure ici"
               class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">

    {% if error_comp %}
    <p class="error">
        {{ error_comp }}
    </p>
    {% endif %}

    <button type="submit"
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">Ajout du maitre{% if offre.offre_type_id == 1 %} de stage {% else %} d'apprentissage {% endif %}</button>
</form>
{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}